Path: API › 系统管理

`POST /system`

获取面板完整环境配置信息，包括所有已安装组件的版本和运行状态。

## Request body

_Required._

- `action340.request_time` (string, required) — Unix 时间戳。
- `action340.request_token` (string, required) — 按 API 概览生成的签名。
- `action340.action` (string, required) — 具体操作名称。
  - one of `"GetConcifInfo"`

## Example request

```text
{
  "request_time": "string",
  "request_token": "string",
  "action": "GetConcifInfo"
}
```

## Code samples

### cURL（填写面板地址与签名）

```curl
curl --request POST \
  --url "https://your-panel.example.com:8888/system" \
  --header "Content-Type: application/x-www-form-urlencoded" \
  --data-urlencode "request_time=<Unix时间戳>" \
  --data-urlencode "request_token=<按 API 概览生成的签名>" \
  --data-urlencode "action=GetConcifInfo"
```

## Responses

### default

接口响应，业务状态见下方详细说明。

#### Example

```json
{
  "webserver": "nginx",
  "sites_path": "/www/wwwroot",
  "backup_path": "/www/backup",
  "status": "ok",
  "mysql_root": "xxxx",
  "php": [
    {
      "version": "85",
      "name": "PHP-85",
      "setup": true,
      "max": "50",
      "maxTime": "60",
      "pathinfo": true,
      "status": true
    }
  ],
  "mysql": {
    "setup": true,
    "version": "5.7.44",
    "status": true
  },
  "redis": {
    "setup": false,
    "status": false
  },
  "pure-ftpd": {
    "setup": true,
    "version": "1.0.49",
    "status": true
  },
  "panel": {
    "ip": "10.0.12.10",
    "port": "114.132.47.153",
    "domain": "",
    "limitip": ""
  },
  "systemdate": "2026-05-22 08:15:01 CST +0800"
}
```

- `action340.response.default.webserver` (string, optional) — Web 服务器类型：`nginx` / `apache` / `openlitespeed`
- `action340.response.default.sites_path` (string, optional) — 网站根目录路径
- `action340.response.default.backup_path` (string, optional) — 备份目录路径
- `action340.response.default.status` (string, optional) — 面板状态
- `action340.response.default.mysql_root` (string, optional) — MySQL root 密码
- `action340.response.default.php` (array<unknown>, optional) — PHP 版本列表，每项含 `version`、`name`、`setup`、`max`、`maxTime`、`pathinfo`、`status`
- `action340.response.default.web` (object, optional) — Web 服务器详情：`type`、`version`、`setup`、`status`
- `action340.response.default.mysql` (object, optional) — MySQL 详情：`setup`、`version`、`status`
- `action340.response.default.redis` (object, optional) — Redis 详情
- `action340.response.default.memcached` (object, optional) — Memcached 详情
- `action340.response.default.pure-ftpd` (object, optional) — Pure-FTPd 详情
- `action340.response.default.phpmyadmin` (string, optional) — phpMyAdmin 详情，未安装为 `false`
- `action340.response.default.tomcat` (string, optional) — Tomcat 详情，未安装为 `false`
- `action340.response.default.panel` (object, optional) — 面板配置：`ip`、`port`、`domain`、`limitip`、`limitarea` 等
- `action340.response.default.systemdate` (string, optional) — 系统时间
- `action340.response.default.email` (string, optional) — 管理员邮箱


## GetConcifInfo

获取面板完整环境配置信息，包括所有已安装组件的版本和运行状态。

- **路由**：`POST /system`
- **action**：`GetConcifInfo`

## 输入参数

| 参数名称 | 必选 | 类型 | 描述 |
|----------|------|------|------|
| action | 是 | String | 固定值 `GetConcifInfo` |

## 输出参数

| 参数名称 | 类型 | 描述 |
|----------|------|------|
| webserver | String | Web 服务器类型：`nginx` / `apache` / `openlitespeed` |
| sites_path | String | 网站根目录路径 |
| backup_path | String | 备份目录路径 |
| status | String | 面板状态 |
| mysql_root | String | MySQL root 密码 |
| php | Array | PHP 版本列表，每项含 `version`、`name`、`setup`、`max`、`maxTime`、`pathinfo`、`status` |
| web | Object | Web 服务器详情：`type`、`version`、`setup`、`status` |
| mysql | Object | MySQL 详情：`setup`、`version`、`status` |
| redis | Object | Redis 详情 |
| memcached | Object | Memcached 详情 |
| pure-ftpd | Object | Pure-FTPd 详情 |
| phpmyadmin | Object/Boolean | phpMyAdmin 详情，未安装为 `false` |
| tomcat | Object/Boolean | Tomcat 详情，未安装为 `false` |
| panel | Object | 面板配置：`ip`、`port`、`domain`、`limitip`、`limitarea` 等 |
| systemdate | String | 系统时间 |
| email | String | 管理员邮箱 |

## 示例

### 响应

```json
{
    "webserver": "nginx",
    "sites_path": "/www/wwwroot",
    "backup_path": "/www/backup",
    "status": "ok",
    "mysql_root": "xxxx",
    "php": [{"version": "85", "name": "PHP-85", "setup": true, "max": "50", "maxTime": "60", "pathinfo": true, "status": true}],
    "mysql": {"setup": true, "version": "5.7.44", "status": true},
    "redis": {"setup": false, "status": false},
    "pure-ftpd": {"setup": true, "version": "1.0.49", "status": true},
    "panel": {"ip": "10.0.12.10", "port": "114.132.47.153", "domain": "", "limitip": ""},
    "systemdate": "2026-05-22 08:15:01 CST +0800"
}
```

